The Swoole\Runtime class

- « Swoole\Redis\Server::start

- Swoole\Runtime::enableCoroutine »

- PHP Manual
- Swoole
- The Swoole\Runtime class

# The Swoole\Runtime class

(No version information available, might only be in Git)

## Introduction

Swoole\Runtime provides coroutine support for various PHP functions through hook mechanism, allowing synchronous code to work asynchronously in coroutine environment.

## Class synopsis

class Swoole\Runtime {
/* Methods */
public static enableCoroutine(int `$flags` = SWOOLE_HOOK_ALL): void
public static getHookFlags(): int
public static setHookFlags(int `$flags`): bool
}

## Table of Contents

- Swoole\Runtime::enableCoroutine — Enable coroutine for specified functions
- Swoole\Runtime::getHookFlags — Get current hook flags
- Swoole\Runtime::setHookFlags — Set hook flags for coroutine